package com.unis.flowable.common.enums;

import lombok.Getter;

/**
 * @Auther:张新亮
 * @Date: 2019/7/26 0026 16:47
 * @Description:
 */
@Getter
public enum ZgSqlxEnum {
    /**
     * 审核，枚举类对象
     */
    zgrz(1, "资格认证"),
    zgbg(2, "资格变更"),
    zbyx(3, "资格延续");
    private Integer code;
    private String codeValue;



    ZgSqlxEnum(Integer code, String codeValue) {
        this.code = code;
        this.codeValue = codeValue;
    }

    public static String getCodeValue(int code) {
        switch (code) {
            case 1:
                return ZgSqlxEnum.zgrz.getCodeValue();
            case 2:
                return ZgSqlxEnum.zgbg.getCodeValue();
            case 3:
                return ZgSqlxEnum.zbyx.getCodeValue();
            default:
                return "";
        }
    }
}